commit:     e53e8b3798fcb63bb785a91055b00db45200562d
Author:     Bernd Waibel <waebbl-gentoo <AT> posteo <DOT> net>
AuthorDate: Mon Jun 14 12:48:49 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jun 15 14:39:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e53e8b37

dev-libs/tvision: bump to 2.2.3

- Dependency on gpm, X and allegro is automagic, so I made it mandatory
  for now. See https://github.com/set-soft/tvision/issues/1. Drop gpm
  USE flag for this.
- Add support for media-libs/allegro
- Add USE flag to install examples for testing
- Drop no-op debug USE flag

Closes: https://bugs.gentoo.org/730022
Package-Manager: Portage-3.0.19, Repoman-3.0.3
Signed-off-by: Bernd Waibel <waebbl-gentoo <AT> posteo.net>
Closes: https://github.com/gentoo/gentoo/pull/21241
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/tvision/Manifest                          |  1 +
 .../files/tvision-2.2.3-0001-use-proper-AR.patch   | 23 ++++++
 dev-libs/tvision/metadata.xml                      |  5 --
 dev-libs/tvision/tvision-2.2.3.ebuild              | 81 ++++++++++++++++++++++
 4 files changed, 105 insertions(+), 5 deletions(-)

diff --git a/dev-libs/tvision/Manifest b/dev-libs/tvision/Manifest
index d3349d3da6d..f2836cee41a 100644
--- a/dev-libs/tvision/Manifest
+++ b/dev-libs/tvision/Manifest
@@ -1 +1,2 @@
 DIST rhtvision_2.2.1-4.tar.gz 1777675 BLAKE2B 
04fee72d25c01825c8e21115bf16348e1f204371055490520d86a7eb6ad07d73c3d46f6046e11e01f7725b4fe8bd9eaf039ed72233f9141aaa19193635d6fe98
 SHA512 
bbbaab611fc7831eb339ddb612ef208a16e74f8e0961268e7e63f69c38cdfe45013d440861f3396aceabddf1a44e4cd65023b5b4238a39d55bbf133bde37dd8f
+DIST tvision-2.2.3.tar.gz 1150257 BLAKE2B 
a642f2b6b7c30b14fdebd97911230f9b108144f346aff327c7db9d29d230c476d556b5891e7c31e1a126b95c94a938d9ad414a0a19bf720d552f44dbe4f0ada3
 SHA512 
96785b7539c23cd205f7180024ed0b451fc4c33599d83e625c43a84b42e7fa4655ed2ccb4d0b885e1917e23bad7cb68b7d7ceda7dfdea95f8c1db3f0c59f4030

diff --git a/dev-libs/tvision/files/tvision-2.2.3-0001-use-proper-AR.patch 
b/dev-libs/tvision/files/tvision-2.2.3-0001-use-proper-AR.patch
new file mode 100644
index 00000000000..ce45ec32ef5
--- /dev/null
+++ b/dev-libs/tvision/files/tvision-2.2.3-0001-use-proper-AR.patch
@@ -0,0 +1,23 @@
+From 017a1059067ab58a9286b3049505cb3e77696de5 Mon Sep 17 00:00:00 2001
+From: Bernd Waibel <[email protected]>
+Date: Mon, 14 Jun 2021 17:48:45 +0200
+Subject: [PATCH 2/2] use proper AR
+
+Signed-off-by: Bernd Waibel <[email protected]>
+---
+ intl/dummy/Makefile | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/intl/dummy/Makefile b/intl/dummy/Makefile
+index c32b0a8..d47e185 100644
+--- a/intl/dummy/Makefile
++++ b/intl/dummy/Makefile
+@@ -2,4 +2,4 @@ RHIDE_GCC=gcc
+ CC=$(RHIDE_GCC)
+ 
+ libtvfintl.a: intldummy.o
+-      ar -rv libtvfintl.a intldummy.o
++      $(AR) -rv libtvfintl.a intldummy.o
+-- 
+2.32.0
+

diff --git a/dev-libs/tvision/metadata.xml b/dev-libs/tvision/metadata.xml
index 9bf7fccc56e..74ce76bd57b 100644
--- a/dev-libs/tvision/metadata.xml
+++ b/dev-libs/tvision/metadata.xml
@@ -9,11 +9,6 @@
                <email>[email protected]</email>
                <name>Proxy Maintainers</name>
        </maintainer>
-       <use>
-               <flag name="gpm">
-                       Support text mode mouse through <pkg>sys-libs/gpm</pkg>
-               </flag>
-       </use>
        <upstream>
                <remote-id type="github">set-soft/tvision</remote-id>
        </upstream>

diff --git a/dev-libs/tvision/tvision-2.2.3.ebuild 
b/dev-libs/tvision/tvision-2.2.3.ebuild
new file mode 100644
index 00000000000..28c667ecd8d
--- /dev/null
+++ b/dev-libs/tvision/tvision-2.2.3.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+MY_PN="rh${PN}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Text User Interface that implements the well known CUA widgets"
+HOMEPAGE="http://tvision.sourceforge.net/";
+SRC_URI="https://github.com/set-soft/${PN}/releases/download/v${PV}/${MY_P}.src.tar.gz
 -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="examples nls"
+
+DOCS=( readme.txt THANKS TODO )
+HTML_DOCS=( www-site/. )
+
+RDEPEND="
+       dev-libs/libbsd
+       media-libs/allegro:0[X]
+       sys-apps/util-linux
+       sys-libs/gpm
+       sys-libs/ncurses:0=
+       x11-libs/libICE
+       x11-libs/libSM
+       x11-libs/libX11
+       x11-libs/libXau
+       x11-libs/libXdmcp
+       x11-libs/libXext
+       x11-libs/libXmu
+       x11-libs/libXt
+       x11-libs/libxcb:=
+"
+DEPEND="${RDEPEND}"
+BDEPEND="sys-devel/gettext"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.2.1.4-flags.patch
+       "${FILESDIR}"/${PN}-2.2.1.4-ldconfig.patch
+       "${FILESDIR}"/${P}-0001-use-proper-AR.patch
+)
+
+src_configure() {
+       tc-export CC CXX AR
+
+       local myconf=()
+       myconf+=(
+               --fhs
+               --prefix="${EPREFIX}/usr"
+               --with-pthread
+               --without-static
+               --x-include="${EPREFIX}/usr/include/X11"
+       )
+
+       use nls || myconf+=( --no-intl )
+
+       # Note: Do not use econf here, this isn't an autoconf configure script,
+       # but a perl based script which simply calls config.pl
+       einfo "Running ./configure ${myconf[@]}"
+       ./configure ${myconf[@]} || die
+}
+
+src_install() {
+       emake DESTDIR="${D}" install \
+               prefix="\${DESTDIR}${EPREFIX}/usr" \
+               libdir="\$(prefix)/$(get_libdir)"
+
+       einstalldocs
+
+       if use examples; then
+               docompress -x /usr/share/doc/${PF}/examples
+               docinto examples
+               dodoc -r examples/*
+       fi
+}

Reply via email to